%global __requires_exclude typelib\\(Unity\\)

Name:		scudcloud
Version:	1.65
Release:	%mkrel 5
Summary:	Non official desktop client for Slack
Group:		Networking/Instant messaging

License:	MIT
URL:		https://github.com/raelgc/scudcloud
Source0:	%{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(jsmin)

Requires:	python3-dbus
# Better to have (python3-PyQt5-webkit OR pyhunspell-python3)
Requires:	python3-qt5-core
Requires:	python3-qt5-gui
Requires:	python3-qt5-network
Requires:	python3-qt5-webkit
Requires:	python3-qt5-widgets
Requires:	python3-sip
Requires:	lato-fonts
Requires:	hicolor-icon-theme
# It is possible to use self-written notifier, but better to use libnotify
# via GObject Introspection
# Better to have (libnotify AND python3-gobject-base)
Recommends:	libnotify
Recommends:	python3-gobject3

%description
ScudCloud improves the Slack integration with Linux desktops featuring:
* multiple teams support
* native system notifications
* count of unread direct mentions at launcher/sytray icon
* alert/wobbling on new messages
* optional tray notifications and "Close to Tray"
* follow your desktop activity and will stay online while you're logged in

%prep
%autosetup

# Drop shebang
sed -i -e '1{\@^#!/usr/bin/env python@d}' %{name}/{__main__,cookiejar}.py

%build
%py3_build

%install
%py3_install
rm -rf %{buildroot}%{_datadir}/icons/{elementary,ubuntu*}/
rm -rf %{buildroot}%{_datadir}/doc/%{name}/

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}*.svg
%{_datadir}/pixmaps/%{name}.png
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-*.egg-info/



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.65-5.mga8
+ Revision: 1533972
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 1.65-4.mga8
+ Revision: 1446182
- rebuild for python3.8

* Tue Jan 08 2019 sander85 <sander85> 1.65-3.mga7
+ Revision: 1352591
- Rebuild for python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 1.65-2.mga7
+ Revision: 1291474
- Mageia 7 Mass Rebuild

* Sun May 13 2018 daviddavid <daviddavid> 1.65-1.mga7
+ Revision: 1228718
- new version: 1.65
- port to python3-PyQt5
- add new BR python3dist(jsmin)

* Sat Aug 05 2017 pterjan <pterjan> 1.31-2.mga7
+ Revision: 1135714
- Rebuild for python 3.6

* Mon Sep 26 2016 sander85 <sander85> 1.31-1.mga6
+ Revision: 1056818
- imported package scudcloud


* Mon Sep 26 2016 Sander Lepik <sander85@mageia.org> - 1.31-1.mga5
- Import from Fedora

* Wed Jul 27 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.31-1
- Update to 1.31 (RHBZ #1360333)

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.30-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Jul 05 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.30-1
- Update to 1.30 (RHBZ #1352898)

* Mon Jul 04 2016 Igor Gnatenko <ignatenko@redhat.com> - 1.29-1
- Update to 1.29 (RHBZ #1352582)

* Mon Jun 27 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.25-1
- Update to 1.25 (RHBZ #1350359)

* Fri Jun 17 2016 Igor Gnatenko <ignatenko@redhat.com> - 1.24-2
- Add Requires: hicolor-icon-theme
- Fix typo in lato-fonts

* Mon Jun 13 2016 Igor Gnatenko <ignatenko@redhat.com> - 1.24-1
- Initial package
